org.apache.olingo.odata2.api.uri.expression

## Enum ExpressionKind

- java.lang.Object
- - java.lang.Enum<ExpressionKind>
  - - org.apache.olingo.odata2.api.uri.expression.ExpressionKind

- All Implemented Interfaces:
    Serializable, Comparable<ExpressionKind>

      public enum ExpressionKind
      extends Enum<ExpressionKind>

  Enumeration describing all possible node types inside an expression tree

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY` Binary operator expressions like "eq" and "or"
    `FILTER` Used to mark the root node of a filter expression tree
    `LITERAL` Literal expressions like "1.1d" or "'This is a string'"
    `MEMBER` Member access expressions like "/" in "adress/street"
    `METHOD` Method operator expressions like "substringof" and "concat"
    `ORDER` Order expressions like "age desc"
    `ORDERBY` Orderby expression like "age desc, name asc"
    `PROPERTY` Property expressions like "age"
    `UNARY` Unary operator expressions like "not" and "-"

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExpressionKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExpressionKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILTER

          public static final ExpressionKind FILTER

      Used to mark the root node of a filter expression tree
      See Also:
        `FilterExpression`

    - #### LITERAL

          public static final ExpressionKind LITERAL

      Literal expressions like "1.1d" or "'This is a string'"
      See Also:
        `LiteralExpression`

    - #### UNARY

          public static final ExpressionKind UNARY

      Unary operator expressions like "not" and "-"
      See Also:
        `UnaryExpression`

    - #### BINARY

          public static final ExpressionKind BINARY

      Binary operator expressions like "eq" and "or"
      See Also:
        `BinaryExpression`

    - #### METHOD

          public static final ExpressionKind METHOD

      Method operator expressions like "substringof" and "concat"
      See Also:
        `MethodExpression`

    - #### MEMBER

          public static final ExpressionKind MEMBER

      Member access expressions like "/" in "adress/street"
      See Also:
        `MemberExpression`

    - #### PROPERTY

          public static final ExpressionKind PROPERTY

      Property expressions like "age"
      See Also:
        `PropertyExpression`

    - #### ORDER

          public static final ExpressionKind ORDER

      Order expressions like "age desc"
      See Also:
        `OrderExpression`

    - #### ORDERBY

          public static final ExpressionKind ORDERBY

      Orderby expression like "age desc, name asc"
      See Also:
        `OrderByExpression`

  - ### Method Detail

    - #### values

          public static ExpressionKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExpressionKind c : ExpressionKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExpressionKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.